using Managing.Domain.Evm;
using Orleans;

namespace Managing.Domain.Accounts;

[GenerateSerializer]
public class Balance
{
    [Id(0)]
    public string TokenImage { get; set; }
    
    [Id(1)]
    public string TokenName { get; set; }
    
    [Id(2)]
    public decimal Amount { get; set; }
    
    [Id(3)]
    public decimal Price { get; set; }
    
    [Id(4)]
    public decimal Value { get; set; }
    
    [Id(5)]
    public string TokenAdress { get; set; }
    
    [Id(6)]
    public Chain Chain { get; set; }
}